Redmine - Patch #9697

Projects list with progress
2011-11-30 11:25 - Dmitry Babenko

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Description

Redesign of project list page (http://www.redmine.org/projects) to show the progress of every project and their versions. See
Redmine-project-list-with-progress.png.

Gihub pull request: https://github.com/edavis10/redmine/pull/46

Related issues:

Related to Redmine - Feature #8099: multiple project status summary page New 2011-04-08
Related to Redmine - Feature #8306: Quick links on the "Projects" page New 2011-05-06
Related to Redmine - Feature #1342: Global versions roadmap New 2008-06-01
Related to Redmine - Feature #3224: Better project list Closed 2009-04-23
Related to Redmine - Feature #29482: Query system for Projects page Closed

History

#1 - 2012-02-23 23:04 - Dmitry Babenko
Related to #1342, #8099, #8306, etc.

#2 - 2012-02-25 01:18 - Terence Mill

Checkout https://github.com/cforce/projects_tree_view

#3 - 2012-04-03 10:07 - max munter
related to #3224

#4 - 2012-11-23 11:13 - Dmitry Babenko

- Status changed from New to Resolved

Moved patch to plugin - http:/www.redmine.org/plugins/progressive-projects-list.

Issue can be closed or rejected.

#5 - 2019-02-15 19:44 - Anonymous

| think if it really needs to exist, it then has to be optional and maybe even the progress bar design to be thin and as minimalist as possible, so a
person wouldn't feel overwhelmed with the information on the project list view, which already can have quite a lot of information. That's also because
the project list view design has changed recently in the favor of looking more like cards, so it will need some rethinking, in the meantime, maybe it's
safe to close this issue.

#6 - 2019-02-17 15:06 - Marius BALTEANU
- Related to Feature #29482: Query system for Projects page added

Files

Redmine-project-list-with-progress.png 31.9KB 2011-11-30 Dmitry Babenko

2025-07-05 1/1



http://www.redmine.org/projects
https://www.redmine.org/attachments/6836
https://github.com/edavis10/redmine/pull/46
https://www.redmine.org/issues/1342
https://www.redmine.org/issues/8099
https://www.redmine.org/issues/8306
https://github.com/cforce/projects_tree_view
https://www.redmine.org/issues/3224
http://www.redmine.org/plugins/progressive-projects-list
http://www.tcpdf.org

